Kelvin SDK Client - JavaScript Overview

Kelvin SDK Client abstracts all the communication layer with the KICS Platform, so the developers can be more focused on building what provides value for their applications - the user experience (UX) and business logic. This approach increases developer productivity and aims to enable higher quality apps by leveraging the server communication with this library.

Supported Platforms

We currently support the following JavaScript platforms:

Kelvin SDK Client API Documentation

You can find the full Client API reference here.

Index

Service Response Model Enumerations

Kelvin SDK Client Enumerations

Service Classes

Kelvin SDK Client Classes

Service Response Model Object Classes

Service Request Parameters Interfaces

Service Response Model Interfaces

Kelvin SDK Client Interfaces

Service Request Body Data Interfaces

Type aliases

Variables

Functions

Object literals

Type aliases

IModel

IModel: {}

Type declaration

IPaginationDetails

IPaginationParams

PaginatorRequest

PaginatorRequest<T, K>: (param?: K, options?: IKvHttpRequestOptions) => Observable<IPaginationRequest<T>>

Type parameters

Type declaration

Variables

Const config

config: Map<any, any> = new Map()

Functions

buildRequest

createNewModel

getConfig

  • Type parameters

    • T

    Parameters

    Returns T

getHttpAdapter

Const getResponseType

  • getResponseType(mediaType?: string): any
  • Parameters

    • Optional mediaType: string

    Returns any

getSession

getStore

handleLists

  • handleLists(providedObjectList: any[], ObjectModel: any): any[]
  • Parameters

    • providedObjectList: any[]
    • ObjectModel: any

    Returns any[]

handleObjectMapping

  • handleObjectMapping(providedObject: {}, ObjectModel: any): {}
  • Parameters

    • providedObject: {}
      • [key: string]: Object
    • ObjectModel: any

    Returns {}

handleResponse

hasSession

  • hasSession(): boolean
  • Returns boolean

hasValidSession

  • hasValidSession(): boolean
  • Returns boolean

init

isEmptyObject

  • isEmptyObject(dataToBeModeled: any): boolean
  • Parameters

    • dataToBeModeled: any

    Returns boolean

parseObject

  • parseObject(dataToBeModeled: any, ObjectModel: any, customParser?: any): any
  • Parameters

    • dataToBeModeled: any
    • ObjectModel: any
    • Default value customParser: any = undefined

    Returns any

removeConfig

removeSession

  • removeSession(): boolean
  • Returns boolean

send

setAuthToken

setConfig

  • setConfig(key: EConfigKey, value: any): Map<any, any>
  • Parameters

    Returns Map<any, any>

setSession

transform

Object literals

Const ERRORS

ERRORS: object

emptyBaseUrl

emptyBaseUrl: string = "Please provide the url endpoint"

emptyConfig

emptyConfig: string = "Invalid or Empty Config"

emptyHttpAdapter

emptyHttpAdapter: string = "Please provide the HTTP adapter"

emptyStorageAdapter

emptyStorageAdapter: string = "Please provide the Storage adapter"

Const MEDIA_TYPES_RESPONSES_TYPES

MEDIA_TYPES_RESPONSES_TYPES: object

[EKvHttpMediaType.json]

[EKvHttpMediaType.json]: JSON = EKvResponseType.JSON

[EKvHttpMediaType.zip]

[EKvHttpMediaType.zip]: Blob = EKvResponseType.Blob